Mailinglist Archive: opensuse-security-announce (75 mails)

< Previous Next >
[security-announce] openSUSE-SU-2018:0681-1: important: Security update for MozillaFirefox
openSUSE Security Update: Security update for MozillaFirefox
______________________________________________________________________________

Announcement ID: openSUSE-SU-2018:0681-1
Rating: important
References: #1076907 #1085130
Cross-References: CVE-2018-5125 CVE-2018-5127 CVE-2018-5129
CVE-2018-5130 CVE-2018-5131 CVE-2018-5144
CVE-2018-5145
Affected Products:
openSUSE Leap 42.3
______________________________________________________________________________

An update that fixes 7 vulnerabilities is now available.

Description:

This update for Mozilla Firefox to version 52.7.0esr fixes multiple issues.

Security issues fixed (bsc#1085130, MFSA 2018-07):

- CVE-2018-5127: Buffer overflow manipulating SVG animatedPathSegList
- CVE-2018-5129: Out-of-bounds write with malformed IPC messages
- CVE-2018-5130: Mismatched RTP payload type can trigger memory corruption
- CVE-2018-5131: Fetch API improperly returns cached copies of
no-store/no-cache resources
- CVE-2018-5144: Integer overflow during Unicode conversion
- CVE-2018-5125: Memory safety bugs fixed in Firefox 59 and Firefox ESR
52.7
- CVE-2018-5145: Memory safety bugs fixed in Firefox ESR 52.7

The following bug fixes are included:

- bsc#1076907: provide mimehandler(text/html)


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Leap 42.3:

zypper in -t patch openSUSE-2018-255=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Leap 42.3 (x86_64):

MozillaFirefox-52.7-78.1
MozillaFirefox-branding-upstream-52.7-78.1
MozillaFirefox-buildsymbols-52.7-78.1
MozillaFirefox-debuginfo-52.7-78.1
MozillaFirefox-debugsource-52.7-78.1
MozillaFirefox-devel-52.7-78.1
MozillaFirefox-translations-common-52.7-78.1
MozillaFirefox-translations-other-52.7-78.1


References:

https://www.suse.com/security/cve/CVE-2018-5125.html
https://www.suse.com/security/cve/CVE-2018-5127.html
https://www.suse.com/security/cve/CVE-2018-5129.html
https://www.suse.com/security/cve/CVE-2018-5130.html
https://www.suse.com/security/cve/CVE-2018-5131.html
https://www.suse.com/security/cve/CVE-2018-5144.html
https://www.suse.com/security/cve/CVE-2018-5145.html
https://bugzilla.suse.com/1076907
https://bugzilla.suse.com/1085130

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-security-announce+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages